/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Uart_Cfg.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Defines  API macros and UART channels.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef UART_CFG_H
#define UART_CFG_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Uart.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
#define UART_TRANSMIT_API                    (STD_ON)

#define UART_RECEIVE_API                     (STD_ON)

#define UART_TX_C_10                         (0U)

#define UART_RX_C_11                         (1U)
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* UART_CFG_H */
